## emacs-htmlize 1.59

=== Makefile ===
-include .config.mk

PKG = htmlize

ELS   = $(PKG).el
ELCS  = $(ELS:.el=.elc)
HTML  = $(ELS:.el=.el.html)

DEPS  =

EMACS      ?= emacs
EMACS_ARGS ?=

LOAD_PATH  ?= $(addprefix -L ../,$(DEPS))
LOAD_PATH  += -L .

all: lisp

help:
	$(info make all          - generate byte-code and autoloads)
	$(info make lisp         - generate byte-code and autoloads)
	$(info make redo         - re-generate byte-code and autoloads)
	$(info make htmlize      - htmlize htmlize.el)
	$(info make clean        - remove generated files)
	@printf "\n"

redo: clean lisp

lisp: $(ELCS) loaddefs check-declare

loaddefs: $(PKG)-autoloads.el

%.elc: %.el
	@printf "Compiling $<\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) -f batch-byte-compile $<

check-declare:
	@printf " Checking function declarations\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) \
	--eval "(check-declare-directory default-directory)"

%.el.html: %.el
	@$(EMACS) -Q $(EMACS_ARGS) $(LOAD_PATH) \
	-l htmlize --eval "(progn (htmlize-file \"$<\") (kill-emacs))"

htmlize: $(HTML)

CLEAN  = $(ELCS) $(PKG)-autoloads.el

clean:
	@printf " Cleaning...\n"
	@rm -rf $(CLEAN)

$(PKG)-autoloads.el: $(ELS)
	@printf " Creating $@\n"
	@$(EMACS) -Q --batch -l autoload -l cl-lib --eval "\
(let ((file (expand-file-name \"$@\"))\
      (autoload-timestamps nil) \
      (backup-inhibited t)\
      (version-control 'never)\
      (coding-system-for-write 'utf-8-emacs-unix))\
  (write-region (autoload-rubric file \"package\" nil) nil file nil 'silent)\
  (cl-letf (((symbol-function 'progress-reporter-do-update) (lambda (&rest _)))\
            ((symbol-function 'progress-reporter-done) (lambda (_))))\
    (let ((generated-autoload-file file))\
      (update-directory-autoloads default-directory))))" \
	2>&1 | sed "/^Package autoload is deprecated$$/d"

## emacs-htmlize 1.51

=== debian/changelog ===
emacs-htmlize (1.51-1) unstable; urgency=medium

  * Initial release (Closes: #873203)

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 25 Aug 2017 17:03:39 +0500

=== debian/control ===
Source: emacs-htmlize
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 10),
               dh-elpa
Standards-Version: 4.0.1
Homepage: https://github.com/hniksic/emacs-htmlize
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/emacs-htmlize.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/emacs-htmlize.git

Package: elpa-htmlize
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs24,
          emacs25
Description: convert buffer text and decorations to HTML
 This package converts the buffer text and the associated decorations
 to HTML. It supports three types of HTML output, selected by setting
 htmlize-output-type: css, inline-css (optimized for code snippets),
 and font (simpler output, doesn't rely on CSS). You can also use
 htmlize from your Emacs Lisp code.

## emacs-htmlize 1.53

=== debian/changelog ===
emacs-htmlize (1.53-1) unstable; urgency=medium

  * New upstream version 1.53
  * Refresh documentation cleaning patch
  * Add lintian override to exclude false positive
  * Migrate to dh 11
  * d/control: Declare Standards-Version 4.1.4 (no changes needed)
  * d/control: Remove emacs24 from Enhances
  * d/control: Change Vcs-{Browser,Git} URL to salsa.debian.org
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 07 Apr 2018 13:41:11 +0500

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-elpa
-Standards-Version: 4.0.1
+Standards-Version: 4.1.4
 Homepage: https://github.com/hniksic/emacs-htmlize
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/emacs-htmlize.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/emacs-htmlize.git
+Vcs-Browser: https://salsa.debian.org/emacsen/emacs-htmlize
+Vcs-Git: https://salsa.debian.org/emacsen/emacs-htmlize.git
 
 Package: elpa-htmlize
 Architecture: all
@@ -16,7 +16,6 @@
          ${misc:Depends}
 Recommends: emacs (>= 46.0)
 Enhances: emacs,
-          emacs24,
           emacs25
 Description: convert buffer text and decorations to HTML
  This package converts the buffer text and the associated decorations

## emacs-htmlize 1.54

=== debian/changelog ===
emacs-htmlize (1.54-1) unstable; urgency=medium

  * New upstream version 1.54
  * Update Maintainer (to Debian Emacsen team)
  * Declare Standards-Version 4.2.1 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 28 Sep 2018 10:04:18 +0500

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: emacs-htmlize
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper (>= 11),
                dh-elpa
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/hniksic/emacs-htmlize
-Vcs-Browser: https://salsa.debian.org/emacsen/emacs-htmlize
-Vcs-Git: https://salsa.debian.org/emacsen/emacs-htmlize.git
+Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-htmlize
+Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-htmlize.git
 
 Package: elpa-htmlize
 Architecture: all

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%emacs-htmlize-$1.tar.gz%" \
             https://github.com/hniksic/emacs-htmlize/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## emacs-htmlize 1.55

=== debian/changelog ===
emacs-htmlize (1.55-1) unstable; urgency=medium

  * New upstream version 1.55
  * Migrate to debhelper 12 without d/compat
  * d/control: Declare Standards-Version 4.4.1 (no changes needed)
  * d/control: Add Rules-Requires-Root: no
  * d/control: Drop emacs25 from Enhances
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 01 Dec 2019 13:23:22 +0500

emacs-htmlize (1.54-3) unstable; urgency=medium

  * Team upload.
  * Regenerate source package with quilt patches

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 14:53:49 -0300

emacs-htmlize (1.54-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 09:12:56 -0300

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-elpa
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://github.com/hniksic/emacs-htmlize
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-htmlize
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-htmlize.git
@@ -15,8 +16,7 @@
 Depends: ${elpa:Depends},
          ${misc:Depends}
 Recommends: emacs (>= 46.0)
-Enhances: emacs,
-          emacs25
+Enhances: emacs
 Description: convert buffer text and decorations to HTML
  This package converts the buffer text and the associated decorations
  to HTML. It supports three types of HTML output, selected by setting

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_installchangelogs:
	dh_installchangelogs NEWS

.PHONY: override_dh_installchangelogs

## emacs-htmlize 1.56

=== debian/changelog ===
emacs-htmlize (1.56-1) unstable; urgency=medium

  * New upstream version 1.56
  * Add upstream metadata
  * d/control: Migrate to debhelper-compat 13
  * d/control: Declare Standards-Version 4.6.0 (no changes needed)
  * d/copyright: Update copyright information

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 28 Aug 2021 21:06:38 +0500

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/hniksic/emacs-htmlize
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-htmlize

## emacs-htmlize 1.58

=== debian/changelog ===
emacs-htmlize (1.58-1) unstable; urgency=medium

  * New upstream version 1.58
  * d/control: Declare Standards-Version 4.7.0 (no changes needed)
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 24 Sep 2024 14:42:12 +0500

emacs-htmlize (1.56-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 19:27:55 +0900

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/hniksic/emacs-htmlize
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-htmlize

## emacs-htmlize 1.59

=== debian/changelog ===
emacs-htmlize (1.59-1) unstable; urgency=medium

  * New upstream version 1.59
  * Update patch to clean documentation
  * Update upstream metadata
  * d/control: Declare Standards-Version 4.7.2 (no changes needed)
  * d/control: Drop unnecessary version restriction in Recommends
  * d/control: Change upstream homepage address
  * d/copyright: Bump copyright years
  * d/copyright: Reflect upstream license change to GPL-3+
  * d/watch: Update URL

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 23 Aug 2025 11:19:39 +0500

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: https://github.com/hniksic/emacs-htmlize
+Homepage: https://github.com/emacsorphanage/htmlize
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-htmlize
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-htmlize.git
 
@@ -15,7 +15,7 @@
 Architecture: all
 Depends: ${elpa:Depends},
          ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: convert buffer text and decorations to HTML
  This package converts the buffer text and the associated decorations

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%emacs-htmlize-$1.tar.gz%" \
             https://github.com/emacsorphanage/htmlize/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
